Name:           stormbaancoureur
Version:        2.0.2
Release:        1%{?dist}
Summary:        Simulated obstacle course for automobiles
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.sturmbahnfahrer.com/
Source0:        http://bram.creative4vision.nl/sturmbahnfahrer/download/%{name}-%{version}.tar.gz 
Source1:        %{name}.desktop
Source2:        sturmbahnfahrer.png
Patch0:         stormbaancoureur-1.5.3-no-static-ode.patch
Patch1:         stormbaancoureur-2.0.2-snd-debug.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  plib-devel ode-devel freeglut-devel desktop-file-utils
BuildRequires:  alsa-lib-devel
Requires:       hicolor-icon-theme opengl-games-utils
Provides:       sturmbahnfahrer = %{version}-%{release}
Obsoletes:      sturmbahnfahrer < %{version}-%{release}

%description
Stormbaancoureur is Dutch for "assault course driver"... for expert drivers
only. If you want to master the obstacle course, try to have the laws of
physics work with you, not against you.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i 's|/usr/share/games/%{name}|%{_datadir}/%{name}|' src-%{name}/main.cxx


%build
pushd src-%{name}
make %{?_smp_mflags} \
  CXXFLAGS="$RPM_OPT_FLAGS -I../src-common -DGAMEVERSION=%{version}-Fedora"
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd src-%{name}
make install DESTDIR=$RPM_BUILD_ROOT GAMEDIR=$RPM_BUILD_ROOT%{_datadir}/%{name}
popd

# upstream's makefile forgets to install a few of these
install -p -m 644 models-%{name}/*.3ds \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/models

# move the binary from /usr/games to /usr/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_prefix}/games/%{name} $RPM_BUILD_ROOT%{_bindir}
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc src-%{name}/JOYSTICKS src-%{name}/LICENCE src-%{name}/README
%doc src-%{name}/TODO src-%{name}/%{name}.keys.example
%doc src-%{name}/debian/changelog
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Sun Jan  6 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.2-1
- new upstream release 2.0.2
- drop most patches (upstreamed)
- better sound error messages in an attempt to debug bz 427592

* Fri Jan  4 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.0-2
- Fix compilation with gcc-4.3
- Fix running with the nvidea-legacy drivers, patch by Alexis de Ruelle

* Mon Dec 31 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.0-1
- New upstream release 2.0.0
- Fix sound when using pulseaudio

* Thu Oct 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5.3-1
- New upstream bugfix release 1.5.3

* Tue Sep 25 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5.1-2
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Thu Aug 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5.1-1
- New upstream bugfix release 1.5.1

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5-1
- New upstream release 1.5 (final)

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5-0.1.rc1
- New upstream release 1.5rc1
- Renamed by upstream from sturmbahnfahrer to stormbaancoureur
- Update License tag for new Licensing Guidelines compliance

* Tue Jun  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-1
- New upstream release 1.4
- Drop all patches (all upstream now)

* Wed Feb 14 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-3
- Fix a bug triggering an assert in ode-0.8

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-2
- FE6 Rebuild

* Mon Jul 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-1
- New upstream version 1.2 with customizable keybindings
- Drop many hacks from %%install as upstream has improved "make install"

* Wed Jul 26 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-3
- Added a patch to call the left and right keys COMMA and POINT instead of
  LESSTHEN and GREATERTHEN, so that the text is correct for non qwerty
  keyboards too. And add a binding for normal brake to the Y key for more
  convenient controls with a German (QWERTZ) keyboard.
  Upstream has been notified that the current hardcoded keys are awkward
  with non qwerty keyboards so that upstream can create a proper fix.

* Wed Jul 19 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-2
- Add missing BR: alsa-lib-devel
- Stop linking with the unused libs: -lXmu -lXi -lX11 (-lX11 is used
  indirectly, through other libs but not directly).

* Tue Jul 18 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-1
- Initial Fedora Extras package
